import React, { useContext } from 'react';
// eslint-disable-next-line @typescript-eslint/no-explicit-any
var FoundationFormContext = React.createContext(void 0);
export function FoundationFormProvider(_ref) {
  var children = _ref.children,
      context = _ref.context;
  return React.createElement(FoundationFormContext.Provider, {
    value: context
  }, children);
}
export function FoundationFormConsumer(_ref2) {
  var children = _ref2.children;
  return React.createElement(FoundationFormContext.Consumer, null, function (context) {
    if (context === void 0) {
      throw new Error('FoundationFormConsumer must be used within a provider.');
    }

    return children(context);
  });
}
export function useForm() {
  var context = useContext(FoundationFormContext);

  if (context === void 0) {
    throw new Error('useFoundationForm must be used within a provider.');
  }

  return context;
}
//# sourceMappingURL=FoundationFormContext.js.map